From a5e168afad341733acd049340842ffb44088c6c2 Mon Sep 17 00:00:00 2001
From: paul-1 <6473457+paul-1@users.noreply.github.com>
Date: Wed, 16 Jan 2019 19:16:57 -0500
Subject: [PATCH 3/4] Fix caps directory for piCore, and update EQ to EQ10

---
 README      | 8 ++++----
 ctl_equal.c | 4 ++--
 pcm_equal.c | 4 ++--
 3 files changed, 8 insertions(+), 8 deletions(-)

diff --git a/README b/README
index b77fd2d..2df3dc5 100644
--- a/README
+++ b/README
@@ -1,11 +1,11 @@
 Alsaequal is a real-time adjustable equalizer plugin for ALSA. It can
 be adjusted using any ALSA compatible mixer, e.g. alsamixergui.
 
-Alsaequal uses the Eq CAPS LADSPA Plugin for audio processing, actually
+Alsaequal uses the Eq10 CAPS LADSPA Plugin for audio processing, actually
 alsaequal is a generic LADSPA plugin interface with real-time access to
 the LADSPA controls (the LADSPA plugin included with alsa doesn't allow
 for real-time controls) but it was developed for and only tested with
-Eq CAPS LADSPA plugin. You are welcome to try it with other plugins, it
+Eq10 CAPS LADSPA plugin. You are welcome to try it with other plugins, it
 may work. Let me know how it goes, you can reach me at
 <charles@thedigitalmachine.net>.
 
@@ -66,7 +66,7 @@ ctl.<name_equal> {
 	library -- location of the LADSPA library, the default is
 					"/usr/lib/ladspa/caps.so"
 	module -- module name within the LADSPA library, the deafault
-					is "Eq"
+					is "Eq10"
 	channels -- number of channels, the default is 2
 }
 
@@ -81,7 +81,7 @@ pcm.<name_pcm> {
 	library -- location of the LADSPA library, the default is
 					"/usr/lib/ladspa/caps.so"
 	module -- module name within the LADSPA library, the deafault
-					is "Eq"
+					is "Eq10"
 	channels -- number of channels, the default is 2
 }
 
diff --git a/ctl_equal.c b/ctl_equal.c
index 40747d4..918fa5a 100644
--- a/ctl_equal.c
+++ b/ctl_equal.c
@@ -166,8 +166,8 @@ SND_CTL_PLUGIN_DEFINE_FUNC(equal)
 	snd_config_iterator_t it, next;
 	snd_ctl_equal_t *equal;
 	const char *controls = ".alsaequal.bin";
-	const char *library = "/usr/lib/ladspa/caps.so";
-	const char *module = "Eq";
+	const char *library = "/usr/local/lib/ladspa/caps.so";
+	const char *module = "Eq10";
 	long channels = 2;
 	const char *sufix = " Playback Volume";
 	int err, i, index;
diff --git a/pcm_equal.c b/pcm_equal.c
index 2bc87fb..bb72ec2 100644
--- a/pcm_equal.c
+++ b/pcm_equal.c
@@ -150,8 +150,8 @@ SND_PCM_PLUGIN_DEFINE_FUNC(equal)
 	snd_pcm_equal_t *equal;
 	snd_config_t *sconf = NULL;
 	const char *controls = ".alsaequal.bin";
-	const char *library = "/usr/lib/ladspa/caps.so";
-	const char *module = "Eq";
+	const char *library = "/usr/local/lib/ladspa/caps.so";
+	const char *module = "Eq10";
 	long channels = 2;
 	int err;
 	
-- 
2.19.2

